moeoCrowdingDistanceDiversityAssignment(3)

NAME
moeoCrowdingDistanceDiversityAssignment - Diversity assignment sheme based on crowding distance proposed in: K.

SYNOPSIS

#include <moeoCrowdingDistanceDiversityAssignment.h>

Inherits moeoDiversityAssignment< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
double inf () const
Returns a big value (regarded as infinite).
void operator() (eoPop< MOEOT > &_pop)
Computes diversity values for every solution contained in the population _pop.
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
Warning:
    NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

"

  Private Member Functions
void setDistances (eoPop< MOEOT > &_pop)
Sets the distance values.

Detailed Description

  template<class MOEOT> class moeoCrowdingDistanceDiversityAssignment< MOEOT >
Diversity assignment sheme based on crowding distance proposed in: K. Deb, A. Pratap, S. Agarwal, T. Meyarivan, 'A Fast and Elitist Multi-Objective Genetic Algorithm: NSGA-II', IEEE Transactions on Evolutionary Computation, vol. 6, no. 2 (2002). This strategy is, for instance, used in NSGA-II.

Definition at line 26 of file moeoCrowdingDistanceDiversityAssignment.h.

Member Function Documentation

  template<class MOEOT> void moeoCrowdingDistanceDiversityAssignment< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Computes diversity values for every solution contained in the population _pop.

Parameters:
    _pop the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 47 of file moeoCrowdingDistanceDiversityAssignment.h.

References moeoCrowdingDistanceDiversityAssignment< MOEOT >::inf(), and moeoCrowdingDistanceDiversityAssignment< MOEOT >::setDistances().

  template<class MOEOT> void moeoCrowdingDistanceDiversityAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Warning:
    NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Warning:
    NOT IMPLEMENTED, DO NOTHING !

Implements moeoDiversityAssignment< MOEOT >.

Definition at line 70 of file moeoCrowdingDistanceDiversityAssignment.h.

  template<class MOEOT> void moeoCrowdingDistanceDiversityAssignment< MOEOT >::setDistances (eoPop< MOEOT > & _pop) [inline, private]

Sets the distance values.

Parameters:
    _pop the population

Definition at line 82 of file moeoCrowdingDistanceDiversityAssignment.h.

References moeoCrowdingDistanceDiversityAssignment< MOEOT >::inf().

Referenced by moeoCrowdingDistanceDiversityAssignment< MOEOT >::operator()().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.